import type {RestApiRequestHandler} from './RestApiRequestHandler'
import type {RestPathParams, RestQueryParams, RestRequestBody, RestRequestHeaders, RestResponseBody} from './common'

export type RestApiRequestHandlerWithAuthentication<
  PathParams extends RestPathParams = never,
  QueryParams extends RestQueryParams = never,
  RequestHeaders extends RestRequestHeaders = never,
  RequestBody extends RestRequestBody = never,
  ResponseBody extends RestResponseBody = never,
> = RestApiRequestHandler<PathParams, QueryParams, RequestHeaders, RequestBody, ResponseBody, true>
