import type {WsApiAction, WsApiRequest, WsApiResponse} from './common'

export type WsApiRoute<
  Action extends WsApiAction,
  Request extends WsApiRequest<Action>,
  Response extends WsApiResponse,
> = {
  action: Action

  // this is a workaround to force optional generics to be typesafe
  __types?: {
    Request: Request
    Response: Response
  }
}
