import type {RestApiRoute} from './RestApiRoute'
import type {RestPathParams, RestQueryParams, RestRequestBody, RestRequestHeaders, RestResponseBody} from './common'

export type RestApiRouteWithAuthentication<
  PathParams extends RestPathParams = never,
  QueryParams extends RestQueryParams = never,
  RequestHeaders extends RestRequestHeaders = never,
  RequestBody extends RestRequestBody = never,
  ResponseBody extends RestResponseBody = never,
> = RestApiRoute<PathParams, QueryParams, RequestHeaders, RequestBody, ResponseBody, true>
