import type {Observable} from '@trpc/server/observable'

export const isObservable = (value: unknown): value is Observable<unknown, unknown> => {
  return !!value && typeof value === 'object' && `subscribe` in value && `pipe` in value
}
